/**
*CalDAV App
* Define an App to manage unas CalDAV.
*/
var CalDAVApp = CalDAVApp || {};  //Define CalDAV App namespace.
/**
*Constructor UNAS App
*/
CalDAVApp.App = function () {
    this.id = 'CalDAV Service';
    this.name = 'CalDAV Service';
    this.version = '6.0.2';
    this.active = false;
    this.menuIcon = '/apps/caldav/images/logo.png?v=6.0.2&';
    this.shortcutIcon = '/apps/caldav/images/logo.png?v=6.0.2&';
    this.entryUrl = "/apps/caldav/caldav.html?v=6.0.2&";
    //this.entryHelpUrl = "/apps/caldav/caldav_help.html?v=6.0.2&";
    var self = this;
    this.CalDAVAppWindow = function () {
    	if(UNAS.CheckAppState('CalDAV Service')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'CalDAVAppWindow',
            title: UNAS._('CalDAV Service'),
			icon: '/apps/caldav/images/logo_small.png?v=6.0.2&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            loadMethod: 'xhr',
            contentURL: '/apps/caldav/caldav.html?v=6.0.2&',
			require: {  css: ['/apps/caldav/css/caldav.css'] },
			onBeforeBuild: function(){
				UNAS.SetAppOpenedWindow("CalDAV Service",'CalDAVAppWindow');
			}
        });
    };
    this.CalDAVUninstall = function (){
    	UNAS.RemoveDesktopShortcut('CalDAV Service');
    	UNAS.RemoveMenu('CalDAV Service');
    	UNAS.RemoveAppFromGroups('CalDAV Service', 'ControlPanel');
    	//UNAS.RemoveAppFromGroups('CalDAV Service', 'Help');
    	UNAS.RemoveAppFromApps('CalDAV Service');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'CalDAV Service', '', this.CalDAVAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'CalDAV Service', this.CalDAVAppWindow);
    new UNAS.RegisterToAppGroup(this.name, "ControlPanel", {'Type':"Network", "Location": 5, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, "Help", {'Type':"Network", "Location": 5, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('CalDAV Service', UNAS._('CalDAV Service')); //translate menu
        //UNAS.SetShortcutTitle('CalDAV Service', UNAS._('CalDAV Service'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('CalDAVAppWindow', UNAS._('CalDAV Service'));
        }
    };
    UNAS.LoadTranslation('/apps/caldav/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.CalDAVAppWindow, this.CalDAVUninstall);
};
new CalDAVApp.App();
